StringUtil = function() {



};



StringUtil.prototype = {

	

	// 글자수세기

	nvl : function (str1, str2){

		return str1==''?str2:str1;

	},

		

	// 글자수세기

	getTextLength : function (str){

		return str.length;

	},



	// 글자자르기

	getShortText : function (str, length, tail){

		return str.substring(0,length)+tail;

	},



	// 숫자만 입력 하였나?

	isNumber : function (str){

		return new RegExp(/^\d+$/).test(str);

	},



	// 유효한 이메일인가?

	isEmail : function (str){

		return new RegExp(/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/).test(str);

	},

	

	// 유효한 전화번호 인가?

	isCelPhone : function (str){

		return new RegExp(/(01[016789])(\d{4}|\d{3})\d{4}$/g).test(str);

	},



	

	// HTML 스크립트 제거

	removeHtmlScript : function (str){

		var objStrip = new RegExp(); 

		objStrip = /[<][^>]*[>]/gi; 

		return str.replace(objStrip, ""); 

	},

	

	// HTML 스크립트 포함되었나?

	isHtmlScript : function (str){

		return new RegExp(/[<][^>]*[>]/gi).test(str);

	},

	

	// 유효한 패스워드인가?

	isPassword : function (str){



		if (str.length < 8) {

			// return("too_short");

			return false;

		} else if (str.length > 16) {

			// return("too_long");

			return false;

		} else if (str.search(/\d/) == -1) {

			// return("no_num");

			return false;

		} else if (str.search(/[a-zA-Z]/) == -1) {

			// return("no_letter");

			return false;

		} else if (str.search(/[^a-zA-Z0-9\!\@\#\$\%\^\&\*\(\)\_\+]/) != -1) {

			// return("bad_char");

			return false;

		}

		return true;

	},

	

	/***********************************************

	 * 상세URL 유효성 체크

	 * ---------------------------------------------

	 *  정상적인 URL인지 체크

	 * 정상 예1) http://www.naver.com

	 * 정상 예2) http://www.naver.com/index.html

	 * 정상 예3) http://naver.co.kr

	 * 정상 예4) www.naver.com

	 * 정상 예5) naver.com

	 * 정상 예6) http://blog.naver.com/

	 * 비정상 예1) http:/www.naver.com

	 * 비정상 예2) http://www.naver.com2

	 * 비정상 예3) mailto://www.naver.com

	 **********************************************/

	isURL : function (str){

		var expUrl = /^(http\:\/\/)?((\w+)[.])+(asia|biz|cc|cn|com|de|eu|in|info|jobs|jp|kr|mobi|mx|name|net|nz|org|travel|tv|tw|uk|us)(\/(\w*))*$/i;

	    return expUrl.test(str);

	},

	

	/***********************************************

	 * IP 유효성 체크

	 * ---------------------------------------------

	 *  정상적인 IP인지 체크

	 * 정상 예1) 222.107.254.169

	 * 정상 예2) 222.7.54.69

	 * 비정상 예1) 022.107.254.169

	 * 비정상 예2) 222107.254.169

	 * 비정상 예3) 222.107.254.1699

	 * 비정상 예4) 222.107.254.

	 * 비정상 예5) 222.107.254

	 * 비정상 예6) 222.107.254.169:80

	 **********************************************/

	isIP : function (str){

		var expIp = /^(1|2)?\d?\d([.](1|2)?\d?\d){3}$/;

	    return expIp.test(str);

	}

}